summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPreston Pan <ret2pop@nullring.xyz>2026-03-11 14:39:06 -0700
committerPreston Pan <ret2pop@nullring.xyz>2026-03-11 14:39:06 -0700
commit8f0e761380481b9bc9c511530b19ad14e87e57c8 (patch)
tree066a142de6e5bf942f724b9da6dcae48d51c6de5
parent0e86238729b06b83bf2c518da90abeb25c1b2cc1 (diff)
typo
-rw-r--r--flake.nix4
1 files changed, 2 insertions, 2 deletions
diff --git a/flake.nix b/flake.nix
index 228e15a..4544ce4 100644
--- a/flake.nix
+++ b/flake.nix
@@ -71,7 +71,7 @@
name = "Spontaneity smoke test";
description = "tests if nginx is active/if the config works.";
stages = [ "pre-merge-commit" ];
- entry = ''
+ entry = "${pkgs.writeShellScript "website-check" ''
set -e
set -o pipefail
trap "echo -e '\nHook interrupted by user. Aborting merge!'; exit 1" INT TERM
@@ -90,7 +90,7 @@ if [ $BUILD_STATUS -neq 0 ]; then
echo "Failed to build the website with spontaneity!"
exit $BUILD_STATUS
fi
-'';
+''}";
pass_filenames = false;
};